#
Summary: Comments out entries in /etc/inetd.conf
Name: zz_inetd_change
Version: 2.0
Release: 1
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Distribution: Fermi Linux v6.1.1
Vendor: Fermi Lab
Packager: Dan Yocum
requires: netkit-base
%description
This package will comment out entries in /etc/inetd.conf, thus it removes 
several services which may be vulnerable to attack via the internet.  

The original file will be saved as /etc/inetd.conf.rpmsave.  
%files
%post

perl -pe 'unless (/\A(\#)/) {s/\A/\#/g;}' -i.rpmsave /etc/inetd.conf

%postun

if [ -f /etc/inetd.conf -a -f /etc/inetd.conf.rpmsave ]
then
	mv -f /etc/inetd.conf.rpmsave /etc/inetd.conf
fi
